Patch conversation custom attributes
PATCH
Patch custom attributes of a conversation
ApiKeyAuth conversation.custom_attributeheader
Authorization<token>Scope: conversation.custom_attribute
conversationId*integerFormat
int64The custom attributes of an conversation to be patched. This should map the custom attribute id to the desired attribute value. Format: Map[UUID, Option[AttributeValue].
application/json- body
[key: string]?array<string>|AttributeValue values: String[] if the type of the custom attribute is Select or String if the type of the custom attribute is Text
The patched conversation attributes
application/json- response
data?array<>curl -X PATCH 'https://dev.dixa.io/v1/conversations/{conversationId}/custom-attributes' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "2f5515b6-7e98-4f4d-9010-bfd2a27d4f35": "012345", "e14708a6-eed9-495c-9d88-c72331e9e247": [ "str1", "str2" ]}'{}
"data": []
{},
"id": "2f5515b6-7e98-4f4d-9010-bfd2a27d4f35",
"name": "Conversation attribute",
"identifier": "conversation_attribute",
"value": "012345"
{}
"id": "e14708a6-eed9-495c-9d88-c72331e9e247",
"name": "Conversation attribute 2",
"identifier": "conversation_attribute_2",
"value": []
"str1",
"str2"